import importlib
from pathlib import Path

import click


COMMANDS_DIR = Path(__file__).resolve().parent / 'commands'


class CustomGroup(click.MultiCommand):

    def list_commands(self, settings):
        commands = []
        for child in COMMANDS_DIR.iterdir():
            if child.name.startswith('cmd_') and child.name.endswith('.py'):
                commands.append(child.name[4:-3])
        commands.sort()
        return commands


    def get_command(self, settings, name):
        command_module_name = 'new_project.cli.commands.cmd_' + name
        command_module = importlib.import_module(command_module_name)
        command = command_module.main
        return command