from pathlib import Path
import click
import yaml


class Settings(object):

    def __init__(self, config_file):
        self._settings = {}
        self.config_file = config_file

        if config_file:
            p = Path(config_file)
            if p.is_file():
                t = p.read_text()
                self._settings = yaml.safe_load(t)
            else:
                click.echo('')
                click.echo('Error: No such file "{0}"'.format(config_file))
                exit()

        self.log_level = None
        self.server_api = self._settings['server']['api']
        self.users = self._settings['server']['users']

    ###
    # Properties
    ###


    ###
    # Methods
    ###
