from click.testing import CliRunner

from new_project import about
from new_project.cli import entry_point


def test_cli_version():
    version = about.version
    runner = CliRunner()
    result = runner.invoke(entry_point.main, ['--version'])

    assert version in result.output, "Version string contains version"


def test_cli_invalid_option():
    runner = CliRunner()
    result = runner.invoke(entry_point.main, ['--invalid_option'])

    assert result.exit_code != 0


def test_cli_invalid_sub_command():
    runner = CliRunner()
    result = runner.invoke(entry_point.main, ['invalid_sub_command'])

    assert result.exit_code != 0


def test_cli_cmd_missing():
    runner = CliRunner()
    result = runner.invoke(entry_point.main)

    assert 'Usage:' in result.output