from pathlib import Path

if Path('.venv').exists():
    from invoke import Collection
    from tasks import virtualenv
    from tasks import project
    from tasks import git

    namespace = Collection()

    namespace.add_collection(virtualenv, name='venv')
    namespace.add_collection(project, name='proj')
    namespace.add_collection(git)

else:
    from invoke import Collection
    from tasks.bootstrap import init

    namespace = Collection()

    namespace.add_task(init)

