from invoke import task
from tasks import git
from tasks import virtualenv


@task
def init(ctx):
    """Initialize new project for development."""

    git.init(ctx)
    git.stage(ctx)
    git.commit(ctx)
    git.tag(ctx, '0.0.0', 'Version Zero')
    git.flow_init(ctx)

    venv_prefix = virtualenv.create_venv()

    virtualenv.pip_install(ctx, venv_prefix, pkg = 'pip')
    virtualenv.pip_install(ctx, venv_prefix, pkg = 'setuptools')
    virtualenv.pip_install(ctx, venv_prefix, pkg = 'wheel')

    virtualenv.pip_install(ctx, venv_prefix, file = 'dev-requirements.txt')

    virtualenv.run_venv_py(ctx, venv_prefix, 'setup.py', 'develop', '-U')
