from invoke import exceptions as invoke


def run_with_feedback(ctx, cmd, msg, **kwargs):
    print(msg, end='', flush=True)

    result = ctx.run(cmd, hide=True, warn=True, **kwargs)

    if result.ok:
        msg = ' ==> OK'
        print(msg)
    else:
        msg = ' ==> FAIL'
        print(msg)
        print('')
        print('Failed command: "{0}"'.format(result.command))
        print('Exit code: {0}'.format(result.exited))
        print('Output:')
        print(result.stdout)
        print(result.stderr)
        raise invoke.Exit(code=1)
